//******************************************************************************
//
// File:    ChatDiscoveryRef.java
// Package: edu.rit.chat2
// Unit:    Interface edu.rit.chat2.ChatDiscoveryRef
//
// This Java source file is copyright (C) 2006 by Alan Kaminsky. All rights
// reserved. For further information, contact the author, Alan Kaminsky, at
// ark@cs.rit.edu.
//
// This Java source file is part of the M2MI Library ("The Library"). The
// Library is free software; you can redistribute it and/or modify it under the
// terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// The Library is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
// details.
//
// A copy of the GNU General Public License is provided in the file gpl.txt. You
// may also obtain a copy of the GNU General Public License on the World Wide
// Web at http://www.gnu.org/licenses/gpl.html or by writing to the Free
// Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//******************************************************************************

package edu.rit.chat2;

/**
 * Interface ChatDiscoveryRef specifies the M2MI remote interface for an object
 * used to discover chat rooms.
 *
 * @author  Alan Kaminsky
 * @version 27-Mar-2006
 */
public interface ChatDiscoveryRef
	{

// Exported operations.

	/**
	 * Request everyone to report the existence of their chat rooms.
	 */
	public void requestChatRooms();

	/**
	 * Report that a chat room exists.
	 *
	 * @param  theChatRoom  Chat room (name plus multihandle).
	 */
	public void reportChatRoom
		(ChatRoom theChatRoom);

	}
